Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.jxml.qare.qhome.db
Class DBProject

    java.lang.Object
      |
      +--com.jxml.qare.qhome.db.DBBase
            |
            +--com.jxml.qare.qhome.db.DBProject

public final class DBProject
extends DBBase

Inner Class Summary
`class` | `DBProject.Row`

Fields inherited from class com.jxml.qare.qhome.db.DBBase
`createListeners, dbBases, deleteListeners, fileDateFormat, restored`

Method Summary
`void` | `backup(String fileNamePrefix, Date d)`
`DBRow` | `createObj(ResultSet rs)`
`void` | `createTable()`
`DBProject.Row` | `get(int id)`
`DBProject.Row` | `get(String name)`
`void` | `restore(String fileNamePrefix)`
`String` | `tableName()`

Methods inherited from class com.jxml.qare.qhome.db.DBBase
`addCreateListener, addDeleteListener, addKey, backup, backupString, clearRef, create, createCurrentDate, createTable, deleteWeak, executeUpdate, getRow, getRows, getRows, getWeak, removeCreateListener, removeDeleteListener, restore, restoreString, sendCreateEvent, sendDeleteEvent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### tableName

    public String tableName()

  Overrides:
    `tableName` in class `DBBase`

### createTable

    public void createTable()
                     throws Exception

  Overrides:
    `createTable` in class `DBBase`

### get

    public DBProject.Row get(int id)
                      throws Exception

### get

    public DBProject.Row get(String name)
                      throws Exception

### createObj

    public DBRow createObj(ResultSet rs)
                    throws Exception

  Overrides:
    `createObj` in class `DBBase`

### backup

    public void backup(String fileNamePrefix,
                       Date d)
                throws Exception

  Overrides:
    `backup` in class `DBBase`

### restore

    public void restore(String fileNamePrefix)
                 throws Exception

  Overrides:
    `restore` in class `DBBase`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD